cutlass::transform::threadblock::RegularTileAccessIterator< Shape_, Element_, layout::TensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Crosswise >, AdvanceRank, ThreadMap_, Alignment >::Detail Struct Reference

Internal details made public to facilitate introspection.

`#include <regular_tile_access_iterator_tensor_op.h>`

## Static Public Attributes

static int const | kAccessSizeInBits = 128
static int const | kPointerCount

## Member Data Documentation

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int Alignment, int Crosswise>

int const cutlass::transform::threadblock::RegularTileAccessIterator< Shape_, Element_, layout::TensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Crosswise >, AdvanceRank, ThreadMap_, Alignment >::Detail::kAccessSizeInBits = 128

static

This iterator is specialized for an access size that is 128 bits in length.

template<typename Shape_ , typename Element_ , int AdvanceRank, typename ThreadMap_ , int Alignment, int Crosswise>

int const cutlass::transform::threadblock::RegularTileAccessIterator< Shape_, Element_, layout::TensorOpMultiplicandCrosswise< sizeof_bits< Element_ >::value, Crosswise >, AdvanceRank, ThreadMap_, Alignment >::Detail::kPointerCount

static

Initial value:
=
(ThreadMap::Iterations::kStrided > 1 ? 2 : 1)

Number of pointers

Note:TN kblock32 layouts only needs 1 pointer, but strangely reducing pointer count hurts perfomrnace

The documentation for this struct was generated from the following file:

- regular_tile_access_iterator_tensor_op.h